
Ruby - Feature #6019

Revision r34582  significantly slows down rails app

02/14/2012 07:13 PM - funny_falcon (Yura Sokolov)

Status: Closed   

Priority: Normal   

Assignee: knu (Akinori MUSHA)   

Target version:    

Description

Before r34582 simple rails32 app (query sqlite and disply 20 rows of simple data)

benchmarked as 55req/second , after its performance is 33req/second.

I could agree that RubyOnRails should be in sync with ruby, but maybe there is other way

to fix respond_to? ?

History

#1 - 02/14/2012 07:37 PM - funny_falcon (Yura Sokolov)

Fix were relatively easy. Close this issue, please. Excuse me for disturbing.

#2 - 02/15/2012 10:17 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to knu (Akinori MUSHA)

#3 - 02/16/2012 08:22 AM - funny_falcon (Yura Sokolov)

Rails already include fix against this issue into its trunk: https://github.com/rails/rails/pull/5039

Any way, could second parameter have more variants? So that:

respond_to?(:meth) and respond_to?(:meth, nil) will test for public methods,

respond_to?(:meth, true) will test all methods

respond_to?(:meth, false) (or respond_to?(:meth, :with_protected)) will test for public and protected methods

It is just a suggestion and I could not prove it will be very useful.

#4 - 02/18/2013 01:23 PM - knu (Akinori MUSHA)

- Tracker changed from Bug to Feature

#5 - 02/18/2013 01:30 PM - knu (Akinori MUSHA)

- Status changed from Assigned to Closed

- Target version deleted (2.0.0)

Thanks for the followup.  This change was meant to be a fix for a misfeature, and it's great Rails followed it quickly.

As for a feature request, I think we need a little more consideration and details.  Please submit one again when you work out a concrete specification

with some confidence.
